package com.jeeplus.test.changes.dimission.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.changes.dimission.domain.ChangesDimission;
import com.jeeplus.test.changes.dimission.domain.ChangesDimissionHandover;
import com.jeeplus.test.changes.dimission.service.dto.ChangesDimissionDTO;
import com.jeeplus.test.changes.dimission.service.dto.ChangesDimissionHandoverDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @Entity com.jeeplus.test.changes.dimission.domain.ChangesDimissionHandover
*/
@Mapper
public interface ChangesDimissionHandoverMapper extends BaseMapper<ChangesDimissionHandover> {

    public IPage<ChangesDimissionHandoverDTO> findList(Page<ChangesDimissionHandoverDTO> page, @Param(Constants.WRAPPER) QueryWrapper<ChangesDimissionHandover> queryWrapper);

    public List<ChangesDimissionHandoverDTO> queryByCdId(@Param("id") String id);

}
