package com.jeeplus.test.changes.dimission.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.changes.dimission.domain.ChangesDimission;
import com.jeeplus.test.changes.dimission.service.dto.ChangesDimissionDTO;
import com.jeeplus.test.roster.domain.RosterBase;
import com.jeeplus.test.roster.service.dto.RosterBaseDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @Entity com.jeeplus.test.changes.dimission.domain.ChangesDimission
*/
@Mapper
public interface ChangesDimissionMapper extends BaseMapper<ChangesDimission> {

    public IPage<ChangesDimissionDTO> findList(Page<ChangesDimissionDTO> page, @Param(Constants.WRAPPER) QueryWrapper<ChangesDimission> queryWrapper);

    public ChangesDimissionDTO queryById(@Param("id") String id);

}
