package com.jeeplus.test.cw.projectRecords.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 项目被服务单位数据表
 * @author: 徐滕
 * @version: 2022-11-10 16:17
 */
@Data
@TableName("cw_project_client_info")
public class CwProjectClientInfo {
    private static final long serialVersionUID = 1L;

    private String projectId;       //项目id

    private String clientId;        //客户id

    @TableField(exist = false)
    private String clientNumber;    //客户编号

    @TableField(exist = false)
    private String clientName;      //客户名称

    @TableField(exist = false)
    private String companyLevel;    //客户层级
}
