package com.jeeplus.test.cw.projectReportArchive.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-项目报告归档-其他附件
 * @TableName cw_project_report_archive_file
 */
@Data
@TableName("cw_project_report_archive_file")
public class CwProjectReportArchiveFile extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 文件id
     */
    private String workAttachmentId;

    /**
     * 文件类型
     */
    private String fileType;

    private static final long serialVersionUID = 1L;
}