package com.jeeplus.test.cw.projectReportArchive.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.util.Date;

/**
 * 财务-项目报告归档-审计报告
 */
@Data
public class CwProjectReportArchiveReportDTO extends BaseDTO {

    /**
     * 审计意见
     */
    private String remarks;

    /**
     * 项目归档id
     */
    private String archiveId;

    /**
     * 报告id
     */
    private String reportId;

    private String signatureAnnotator1; // 签字注师1id
    private String signatureAnnotator2; // 签字注师2id
    private String signatureAnnotator1Name; // 签字注师1姓名
    private String signatureAnnotator2Name; // 签字注师2姓名
    private Date reportDate;// 报告日期
    private String reportNo;// 报告文号
    private String projectId;// 项目id
    private String reportCreateName;// 报告主办人


    private static final long serialVersionUID = 1L;
}