package com.jeeplus.test.cw.reportCancellApply.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 报告申请信息
 * @author: 王强
 * @create: 2022-11-20 11:34
 **/
@Data
public class ReportInfoDto extends BaseDTO {
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private String createById;

    /**
     * 项目编号
     */
    private String projectNumber;

    /**
     * 创建人
     */
    private String userName;

    /**
     * 报告所属部门
     */
    private String departmentName;

    /**
     * 报告文号
     */
    private String reportNo;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 报告主办人
     */
    private String reportSponsor;

    /**
     * 报告作废原因
     */
    private String cancellateReason;

    /**
     * 报告申请单号
     */
    private String documentNo;

    /**
     * 单据状态（报告流程status为5的）
     */
    private String documentStatus;

    /**
     * 项目经理姓名
     */
    private String projectMasterName;

    /**
     * 项目经理id
     */
    @TableField(exist = false)
    private String projectMasterId;

    /**
     * 新建行id
     */
    private String reportNewLineId;

    /**
     * 状态
     */
    private String status;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;
}
