package com.jeeplus.test.cw.workClientInfo.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-客户信息管理-开票信息
 * @TableName cw_work_client_billing
 */
@Data
@TableName("cw_work_client_billing")
public class CwWorkClientBilling extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 客户id
     */
    private String clientId;

    /**
     * 是否有纳税人识别号
     */
    private String isTaxpayerIdentificationNo;

    /**
     * 纳税人识别号
     */
    private String taxpayerIdentificationNo;

    /**
     * 开户行
     */
    private String accountHolder;

    /**
     * 银行账号
     */
    private String account;

    /**
     * 电话
     */
    private String phone;

    /**
     * 地址
     */
    private String address;

    /**
     * 公司名称
     */
    private String companyName;

    private static final long serialVersionUID = 1L;
}