package com.jeeplus.test.cw.workClientInfo.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-客户信息管理-客户联系人
 * @TableName cw_work_client_contact
 */
@Data
@TableName("cw_work_client_contact")
public class CwWorkClientContact extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 客户id
     */
    private String clientId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 部门
     */
    private String officeId;

    /**
     * 职务
     */
    private String position;

    /**
     * 联系方式1
     */
    private String contactFirst;

    /**
     * 联系方式2
     */
    private String contactSecond;

    /**
     * 传真
     */
    private String fax;

    /**
     * 邮箱
     */
    private String email;

    private static final long serialVersionUID = 1L;
}