package com.jeeplus.test.klgBase.question.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 知识库-业务提问-问题处理人
 * @TableName klg_base_dispose
 */
@Data
@TableName("klg_base_dispose")
public class KlgBaseDispose extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 提问id
     */
    private String questionId;

    /**
     * 问题处理人
     */
    private String disposeBy;

    private static final long serialVersionUID = 1L;
}