package com.jeeplus.test.klgBase.question.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 知识库-关注问题
 * @TableName klg_base_questions_focus
 */
@Data
@TableName("klg_base_questions_focus")
public class KlgBaseQuestionsFocus extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 人员id
     */
    private String userId;

    /**
     * 问题id
     */
    private String questionId;

    private static final long serialVersionUID = 1L;

}