package com.jeeplus.test.knowledge.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "knowledge_share_visit")
public class KnowledgeShareVisit extends BaseEntity {

    /**
     * 知识分享详情id
     */
    private String detailId;

    /**
     * 访问人id
     */
    private String userId;

    /**
     * 初次访问时间
     */
    private Date firstTime;

    /**
     * 最近访问时间
     */
    private Date lastTime;

    /**
     * 访问次数
     */
    private Integer num;

}
