package com.jeeplus.test.program.configuration.fileDict.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.program.configuration.fileDict.domain.ProgramFileDict;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.program.configuration.fileDict.service.dto.ProgramFileDictDTO;
import com.jeeplus.test.program.configuration.typeDict.domain.ProgramTypeDict;
import com.jeeplus.test.program.configuration.typeDict.service.dto.ProgramTypeDictDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Entity com.jeeplus.test.program.configuration.fileDict.dimain.ProgramFileDict
 */
@Mapper
public interface ProgramFileDictMapper extends BaseMapper<ProgramFileDict> {

    public IPage<ProgramFileDictDTO> findList(Page<ProgramFileDictDTO> page, @Param(Constants.WRAPPER) QueryWrapper<ProgramFileDict> queryWrapper);

    public ProgramFileDictDTO queryById(@Param("id") String id);
}




