package com.jeeplus.test.changes.dimission.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 异动管理-离职
 * @TableName changes_dimission
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("changes_dimission")
public class ChangesDimission extends BaseEntity {
    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 人员id
     */
    private String rosterId;

    /**
     * 最后工作日
     */
    private Date lastWorkDate;

    /**
     * 离职日期
     */
    private Date dimissionDate;

    /**
     * 原因说明
     */
    private String reasonDesc;

    /**
     * 离职类型
     */
    private String type;

    /**
     * 离职审批
     */
    private String vettingStatus;

    /**
     * 离职交接
     */
    private String handoverStatus;

    /**
     * 状态
     */
    private String status;

    /**
     * 薪资结算日
     */
    private Date payrollSettlementDate;

    /**
     * 申请日期
     */
    private Date requestDate;

    /**
     * 审批交接人
     */
    private String handoverId;

    /**
     * 社保最后缴纳月
     */
    private String socialSecurityLast;

    /**
     * 公积金最后缴纳月
     */
    private String providentFundLast;

    /**
     * 流程id
     */
    private String procInsId;

    private static final long serialVersionUID = 1L;
}