package com.jeeplus.test.changes.dimission.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 异动管理-离职-离职原因
 * @TableName changes_dimission_rea
 */
@Data
@TableName("changes_dimission_rea")
@EqualsAndHashCode(callSuper = false)
public class ChangesDimissionRea extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 离职id
     */
    private String cdId;

    /**
     * 离职原因
     */
    private String dimissionReason;

    private static final long serialVersionUID = 1L;
}