package com.jeeplus.test.changes.dimission.service;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jeeplus.sys.utils.StringUtils;
import com.jeeplus.test.changes.dimission.domain.ChangesDimissionHandover;
import com.jeeplus.test.changes.dimission.domain.ChangesDimissionHandoverInitialize;
import com.jeeplus.test.changes.dimission.mapper.ChangesDimissionHandoverInitializeMapper;
import com.jeeplus.test.changes.dimission.mapper.ChangesDimissionHandoverMapper;
import com.jeeplus.test.changes.dimission.service.dto.ChangesDimissionHandoverDTO;
import com.jeeplus.test.changes.dimission.service.dto.ChangesDimissionHandoverInitializeDTO;
import com.jeeplus.test.changes.dimission.service.mapstruct.ChangesDimissionHandoverInitializeWrapper;
import com.jeeplus.test.changes.dimission.service.mapstruct.ChangesDimissionHandoverWrapper;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
@Transactional(rollbackFor = Exception.class)
public class ChangesDimissionHandoverInitializeService extends ServiceImpl<ChangesDimissionHandoverInitializeMapper, ChangesDimissionHandoverInitialize> {

    @Resource
    private ChangesDimissionHandoverInitializeMapper changesDimissionHandoverInitializeMapper;

    public List<ChangesDimissionHandoverInitializeDTO> getList(){
        List<ChangesDimissionHandoverInitializeDTO> list = changesDimissionHandoverInitializeMapper.getList();
        return list;
    }

}
