package com.jeeplus.test.changes.dimission.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 异动管理-离职-附件
 * @TableName changes_dimission_files
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ChangesDimissionFilesDTO extends BaseDTO {
    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 离职id
     */
    private String cdId;

    /**
     * 附件url
     */
    private String url;

    /**
     * 文件名称
     */
    private String name;

    private static final long serialVersionUID = 1L;
}