package com.jeeplus.test.changes.dimission.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 
 * @TableName changes_dimission_handover_initialize
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ChangesDimissionHandoverInitializeDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 所属分类，0为分类
     */
    private String parentId;

    /**
     * 分类
     */
    private String type;

    /**
     * 交接内容
     */
    private String content;

    /**
     * 会签对象
     */
    private String rosterId;

    private List<ChangesDimissionHandoverInitializeDTO> handoverDTOList;

    private static final long serialVersionUID = 1L;
}