package com.jeeplus.test.cw.projectReport.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.projectReport.domain.CwProjectReportCancel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 报告文号报废表
 * @author: 王强
 * @create: 2022-11-17 13:14
 **/
@Mapper
public interface CwProjectReportCancelMapper extends BaseMapper<CwProjectReportCancel> {

    /**
     * 修改报废报告文号状态
     * @param flag
     * @param reportNo
     */
    void updateFlag(@Param("flag") String flag, @Param("reportNo") String reportNo);

    void deleteByReportNo(String reportNo);
}
