package com.jeeplus.test.cw.workClientInfo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.cw.workClientInfo.domain.CwManageLevelType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.workClientInfo.service.dto.CwManageLevelTypeDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.jeeplus.test.cw.workClientInfo.domain.CwManageLevelType
 */
@Mapper
public interface CwManageLevelTypeMapper extends BaseMapper<CwManageLevelType> {

    public IPage<CwManageLevelTypeDTO> findList(Page<CwManageLevelTypeDTO> page, @Param(Constants.WRAPPER) QueryWrapper<CwManageLevelType> queryWrapper);

    public CwManageLevelTypeDTO queryById(@Param("id") String id);

    public List<CwManageLevelTypeDTO> getList();

}




