package com.jeeplus.test.cw.workClientInfo.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.cw.workClientInfo.domain.CwOrganizationType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.workClientInfo.service.dto.CwOrganizationTypeDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.jeeplus.test.cw.workClientInfo.domain.CwOrganizationType
 */
@Mapper
public interface CwOrganizationTypeMapper extends BaseMapper<CwOrganizationType> {

    public IPage<CwOrganizationTypeDTO> findList(Page<CwOrganizationTypeDTO> page, @Param(Constants.WRAPPER) QueryWrapper<CwOrganizationType> queryWrapper);

    public CwOrganizationTypeDTO queryById(@Param("id") String id);

    public List<CwOrganizationTypeDTO> getList();

}




