package com.jeeplus.test.finance.invoice.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.finance.invoice.domain.FinanceInvoice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.finance.invoice.service.dto.FinanceInvoiceDTO;
import com.jeeplus.test.program.configuration.fileDict.domain.ProgramFileDict;
import com.jeeplus.test.program.configuration.fileDict.service.dto.ProgramFileDictDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Entity com.jeeplus.test.finance.invoice.domain.FinanceInvoice
 */
@Mapper
public interface FinanceInvoiceMapper extends BaseMapper<FinanceInvoice> {

    public IPage<FinanceInvoiceDTO> findList(Page<FinanceInvoiceDTO> page, @Param(Constants.WRAPPER) QueryWrapper<FinanceInvoice> queryWrapper);

    public FinanceInvoiceDTO queryById(@Param("id") String id);
}




