package com.jeeplus.test.finance.invoice.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 财务管理-发票基本信息
 * @TableName finance_invoice_base
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class FinanceInvoiceBaseDTO extends BaseDTO {

    /**
     * 发票id
     */
    private String invoiceId;

    /**
     * 项目名称
     */
    private String programName;

    /**
     * 项目id
     */
    private String programId;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 项目所在地
     */
    private String location;

    /**
     * 项目编号
     */
    private String programNo;

    /**
     * 委托方
     */
    private String clientName;

    /**
     * 委托方id
     */
    private String clientId;

    /**
     * 报告号
     */
    private String reportNo;

    private static final long serialVersionUID = 1L;
}