package com.jeeplus.test.klgBase.question.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.finance.invoice.domain.FinanceInvoice;
import com.jeeplus.test.finance.invoice.service.dto.FinanceInvoiceDTO;
import com.jeeplus.test.klgBase.question.domain.KlgBaseQuestions;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.klgBase.question.service.dto.KlgBaseQuestionsDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Entity com.jeeplus.test.klgBase.question.domain.KlgBaseQuestions
 */
@Mapper
public interface KlgBaseQuestionsMapper extends BaseMapper<KlgBaseQuestions> {

    public IPage<KlgBaseQuestionsDTO> findList(Page<KlgBaseQuestionsDTO> page, @Param(Constants.WRAPPER) QueryWrapper<KlgBaseQuestions> queryWrapper);

    public IPage<KlgBaseQuestionsDTO> findListFocus(Page<KlgBaseQuestionsDTO> page, @Param(Constants.WRAPPER) QueryWrapper<KlgBaseQuestions> queryWrapper);

    public KlgBaseQuestionsDTO queryById(@Param("id") String id);

    public String getMaxSortByQues(@Param("id") String id);
}




