package com.jeeplus.test.klgBase.question.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 知识库-关注问题
 * @TableName klg_base_questions_focus
 */
@Data
public class KlgBaseQuestionsFocusDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 人员id
     */
    private String userId;

    /**
     * 问题id
     */
    private String questionId;

    private static final long serialVersionUID = 1L;

}