package com.jeeplus.test.knowledge.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName(value = "knowledge_share_comment")
public class KnowledgeShareComment extends BaseEntity {

    /**
     * 知识分享详情id
     */
    private String detailId;

    /**
     * 评论人id
     */
    private String userId;

    /**
     * 内容
     */
    private String content;

    /**
     * 时间差
     */
    @TableField(exist = false)
    private String deff;

}
