package com.jeeplus.test.knowledge.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.knowledge.domain.KnowledgeShareType;
import com.jeeplus.test.knowledge.service.dto.KnowledgeShareTypeDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface KnowledgeShareTypeMapper extends BaseMapper<KnowledgeShareType> {

    IPage<KnowledgeShareTypeDto> findList(Page<KnowledgeShareTypeDto> page, @Param("type") String type);

    List<KnowledgeShareType> checkList(@Param("type")KnowledgeShareType type);

}
