package com.jeeplus.test.knowledge.service.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class KnowledgeShareTypeDto {

    /**
     * 主键
     */
    private String id;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateDate;

    /**
     * 删除状态
     */
    private Integer delFlag;

    /**
     * 分享类型key值
     */
    private String klgsKey;

    /**
     * 分享类型
     */
    private String klgsType;

    /**
     * 排序
     */
    private Integer klgsSort;

}
