package com.jeeplus.test.proofread.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "proofread_info")
public class ProofreadInfo extends BaseEntity {

    /**
     * 类型
     */
    private String type;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 项目审批人
     */
    private String processUserId;

    /**
     * 审核日期
     */
    private Date processDate;

    /**
     * 保留意见
     */
    private String reservations;

    /**
     * 未修改意见
     */
    private String unmodifiedComments;
    
}
