package com.jeeplus.sys.service.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 当前在线会话
 * 
 * @author ruoyi
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class LoginUserOnlineDTO
{
    /** 会话编号 */
    private String tokenId;

    /** 部门名称 */
    private String officeName;

    /** 登录名称 */
    private String loginName;

    /** 用户名称 */
    private String userName;

    /** 登录IP地址 */
    private String ip;

    /** 登录地址 */
    private String loginLocation;

    /** 浏览器类型 */
    private String browser;

    /** 操作系统 */
    private String os;

    /** 登录时间 */
    private Date loginTime;
}
